Summary: A Bayesian spam filter
Name: spamprobe
# upstream uses letters for patch version numbers
Version: 1.4d
Release: 5%{?dist}
Group: Applications/Internet

Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
# Compile fixes for EL6, F16, F17 -- Tracker 3557020
Patch0: compile-fixes.patch
# 64bit hash support -- Tracker 2998863
Patch1: 64bit.patch
# example swapped -- Tracker 1856880
Patch2: example-swapped.patch

Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
License: QPL
URL: http://spamprobe.sourceforge.net/
%if 0%{?fedora} >= 18
BuildRequires: libdb-devel
%else
BuildRequires: db4-devel
%endif

%description
A spam filter that takes a different approach from the typical 
hand crafted rules based systems.  Instead of using pattern matching
and a set of human generated rules SpamProbe relies on a Bayesian
analysis of the frequency of words used in spam and non-spam emails
received by an individual person.  The process is completely automatic
and tailors itself to the kinds of emails that each person receives.
Spamprobe is not a mail filtering program itself but is designed to
plug into another mail filtering system like procmail or
Perl Mail::Procmail.

%prep
%setup -q
%patch0 -p1 -b .compile-fixes
%patch1 -p1 -b .64bit
%patch2 -p1 -b .examples-swapped

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README.txt LICENSE.txt ChangeLog
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4d-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4d-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Aug 26 2012 Steven Roberts <strobert@strobe.net> 1.4d-3
- changed sourceforge download link

* Sat Aug 25 2012 Steven Roberts <strobert@strobe.net> 1.4d-2
- drop prefix -- no longer relocatable to meet Fedora project guidelines
- switched from using %%makeinstall
- drop explicit Requires.  let build process determine them
- Added URL field (rpmlint tagged it missing)
- handle db4 -> libdb change with fedora >= 18
- Compile fixes for EL6, F16, F17 - Tracker 3557020
- added patch for 64bit hash support - Tracker 2998863
- README.txt had example swapped - Tracker 1856880

* Wed Jan 28 2009 Steven Roberts <strobert@strobe.net> 1.4d-1
- Initial packaging for EL 5
